#! /usr/bin/python
#    Copyright (C) 2006, 2007 Stewart Adam
#    This file is part of fwfstab.

#    fwfstab is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    fwfstab is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with fwfstab; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
import gtk, gtk.glade
import gobject
import sys
import getopt

import callbacks
import const

class fwfstab(callbacks.Controller):
  """ Runs the program """
  def __init__(self, fstabFile, autodetect):
    """ Initialize """
    callbacks.Controller.__init__(self, const.GLADE_FILE, fstabFile, autodetect)

def usage():
    """ Print the application usage """
    print _("Usage:\tfwfstab [OPTIONS] [FILE]\n") + \
             _("Valid Options:\n") + \
             _("  -h, --help\n\tPrint this message and exit") + \
             _("  -a, --autodetect\n\tTry to autodetect drives (default, root privledges required)") + \
             _("  -n, --no-autodetect\n\tDon't try to autodetect drives") + \
             _("FILE is assummed to be /etc/fstab when omitted.")

# Only if we're in main execution
if __name__ == "__main__":
  autodetect = True
  try:
    avalableOptions = ["help", "autodetect", "no-autodetect"]
    # letter = plain options
    # letter: = option with arg
    (opts, rest_args) = getopt.getopt(sys.argv[1:],"han", avalableOptions)
  except (getopt.GetoptError), errorDesc:
    print errorDesc
    usage()
    sys.exit(1)
  # Remove options from file
  fstabFile = sys.argv[1:]
  for i in opts:
    for ii in i:
      try:
        fstabFile.remove(ii)
      except:
          pass
  if not fstabFile:
    fstabFile = ['/etc/fstab']
  # Parse args, take action
  if opts:
    for (opt, value) in opts:
      if opt == "-h" or opt == "--help":
        usage()
        sys.exit(1)
      elif opt == "-a" or opt == "--autodetect":
        autodetect = True
      elif opt == "-n" or opt == "--no-autodetect":
        autodetect = False
      #if opt == "-X" or opt == "--X":
      #   dostuffhere(value)

# Startup the application and call the gtk event loop
if __name__ == "__main__":
  try:
    mainApp = fwfstab(fstabFile[0], autodetect)
    gtk.main()
  except KeyboardInterrupt:
    # ctrl+c?
    mainApp.quit(None)

